<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('rules', function (Blueprint $table) {
            $table->id();
            $table->string('kode');
            $table->foreignId('gejala_id')->constrained()->cascadeOnDelete();
            $table->foreignId('penyakit_id')->constrained()->cascadeOnDelete();
            
            // rule CF
            $table->float('mb'); // Kepercayaan
            $table->float('md'); // Ketidakpercayaan

            $table->float('cf')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('rules');
    }
};
